<?xml version='1.0'?> <!--*-nxml-*-->
<!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
  "http://www.oasis-open.org/docbook/xml/4.2/docbookx.dtd">
<!-- SPDX-License-Identifier: LGPL-2.1-or-later -->

<refentry id="timesyncd.conf" conditional='ENABLE_TIMESYNCD'
    xmlns:xi="http://www.w3.org/2001/XInclude">
  <refentryinfo>
    <title>timesyncd.conf</title>
    <productname>systemd</productname>
  </refentryinfo>

  <refmeta>
    <refentrytitle>timesyncd.conf</refentrytitle>
    <manvolnum>5</manvolnum>
  </refmeta>

  <refnamediv>
    <refname>timesyncd.conf</refname>
    <refname>timesyncd.conf.d</refname>
    <refpurpose>Network Time Synchronization configuration files</refpurpose>
  </refnamediv>

  <refsynopsisdiv>
    <para><filename>/etc/systemd/timesyncd.conf</filename></para>
    <para><filename>/etc/systemd/timesyncd.conf.d/*.conf</filename></para>
    <para><filename>/run/systemd/timesyncd.conf.d/*.conf</filename></para>
    <para><filename>/usr/lib/systemd/timesyncd.conf.d/*.conf</filename></para>
  </refsynopsisdiv>

  <refsect1>
    <title>Description</title>

    <para>These configuration files control NTP network time synchronization. See
    <citerefentry><refentrytitle>systemd.syntax</refentrytitle><manvolnum>7</manvolnum></citerefentry>
    for a general description of the syntax.</para>
  </refsect1>

  <xi:include href="standard-conf.xml" xpointer="main-conf" />

  <refsect1>
    <title>Options</title>

    <para>The following settings are configured in the [Time] section:</para>

    <variablelist class='network-directives'>

      <varlistentry>
        <term><varname>NTP=</varname></term>
        <listitem><para>A space-separated list of NTP server host
        names or IP addresses. During runtime this list is combined
        with any per-interface NTP servers acquired from
        <citerefentry><refentrytitle>systemd-networkd.service</refentrytitle><manvolnum>8</manvolnum></citerefentry>.
        systemd-timesyncd will contact all configured system or
        per-interface servers in turn until one is found that
        responds. When the empty string is assigned, the list of
        NTP servers is reset, and all assignments prior to this one
        will have no effect. This setting defaults to an empty
        list.</para></listitem>
      </varlistentry>

      <varlistentry>
        <term><varname>FallbackNTP=</varname></term>
        <listitem><para>A space-separated list of NTP server host
        names or IP addresses to be used as the fallback NTP servers.
        Any per-interface NTP servers obtained from
        <citerefentry><refentrytitle>systemd-networkd.service</refentrytitle><manvolnum>8</manvolnum></citerefentry>
        take precedence over this setting, as do any servers set via
        <varname>NTP=</varname> above. This setting is hence only used
        if no other NTP server information is known. When the empty
        string is assigned, the list of NTP servers is reset,
        and all assignments prior to this one will have no effect.
        If this option is not given, a compiled-in list of NTP servers
        is used instead.</para></listitem>
      </varlistentry>

      <varlistentry>
        <term><varname>RootDistanceMaxSec=</varname></term>
        <listitem><para>Maximum acceptable root distance. Takes a time value (in seconds).
        Defaults to 5 seconds.</para></listitem>
      </varlistentry>

      <varlistentry>
        <term><varname>PollIntervalMinSec=</varname></term>
        <term><varname>PollIntervalMaxSec=</varname></term>
        <listitem><para>The minimum and maximum poll intervals for NTP messages.
        Each setting takes a time value (in seconds).
        <varname>PollIntervalMinSec=</varname> must not be smaller than 16 seconds.
        <varname>PollIntervalMaxSec=</varname> must be larger than <varname>PollIntervalMinSec=</varname>.
        <varname>PollIntervalMinSec=</varname> defaults to 32 seconds, and
        <varname>PollIntervalMaxSec=</varname> defaults to 2048 seconds.</para></listitem>
      </varlistentry>

      <varlistentry>
        <term><varname>ConnectionRetrySec=</varname></term>
        <listitem><para>Specifies the delaying attempts to contact servers after network is online. Takes a time value (in seconds).
        Defaults to 30 seconds and must not be smaller than 1 seconds.</para></listitem>
      </varlistentry>

    </variablelist>
  </refsect1>

  <refsect1>
      <title>See Also</title>
      <para>
      <citerefentry><refentrytitle>systemd</refentrytitle><manvolnum>1</manvolnum></citerefentry>,
      <citerefentry><refentrytitle>systemd-timesyncd.service</refentrytitle><manvolnum>8</manvolnum></citerefentry>,
      <citerefentry><refentrytitle>systemd-networkd.service</refentrytitle><manvolnum>8</manvolnum></citerefentry>
      </para>
  </refsect1>

</refentry>
